From e310ad8c5b6a7750751ed3d2d2fb4d125be36578 Mon Sep 17 00:00:00 2001
From: Lin Sun <sunlin7@hotmail.com>
Date: Fri, 5 Apr 2024 06:58:07 +0000
Subject: [PATCH] * lisp/master.el (master-says): check nil parameter

---
 lisp/master.el | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/lisp/master.el b/lisp/master.el
index 0caf4d7963..c2c9cc6bdf 100644
--- a/lisp/master.el
+++ b/lisp/master.el
@@ -136,6 +136,8 @@ master-says-recenter
 (defun master-says (&optional command arg)
   "Display slave buffer and execute COMMAND with ARG in its window."
   (interactive)
+  (unless master-of
+    (error "Slave buffer does not exist"))
   (if (null (buffer-live-p (get-buffer master-of)))
       (error "Slave buffer has disappeared")
     (let ((window  (selected-window)))
-- 
2.20.5

